Subject: Re: bug#17691: 24.3.91; crash closing remote frame
From: Paul Eggert <[email-masked]>
To: Stefan Monnier <[email-masked]>, Ken Raeburn <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Aug 2014 07:36:44 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier wrote:
> Maybe it's related to our hack that tries to avoiding closing
> connections when built with Gtk to avoid the infamous Gtk bug.

It's related, bug that hack calls emacs_abort in this situation, so 
there's no problem with leaked file descriptors after *that*.  Fixing 
and/or working-around the Gtk bug would be a much bigger deal.

Anyway, I installed a patch for the non-Gtk platforms, as trunk bzr 
117664, and am closing the bug.